Page MenuHomePhabricator

Allow preview of saved conflict content on test special page
Closed, ResolvedPublic2 Story Points

Description

Currently saving the edit conflict on the simulation special page does not show the selected paragraphs. To allow testing the new interface one should be able to use the preview of the changes there.

Event Timeline

WMDE-Fisch set the point value for this task to 2.
thiemowmde triaged this task as Low priority.
thiemowmde moved this task from Incoming to Edit Conflict Handling on the TCB-Team board.
thiemowmde added a subscriber: thiemowmde.

Accidentally solved via https://gerrit.wikimedia.org/r/454204.

Lea_WMDE closed this task as Resolved.Aug 23 2018, 3:42 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-08-14 board.
Lea_WMDE added a subscriber: Lea_WMDE.

This works if you are logged in, which is sufficient for now

Lea_WMDE reopened this task as Open.Aug 23 2018, 3:46 PM
Lea_WMDE moved this task from Done to Review on the WMDE-QWERTY-Sprint-2018-08-14 board.

... rolling back: The "simulate publish" button does not simulate publishing, but brings you to an editing window. I'm ok with having that in the test environment, if it would be much work otherwise, but TwoColConflict should lead to the published page, not to the edit mode of a conflicted page

I'm not sure I understand the request. The way I understand it is technically either not really possible, or very expensive to implement.

What do you suggest should "Simulate publish" do?

  • Show a page that looks like it was saved, but wasn't? From all I know about the code this is very hard to implement, as well as not terribly useful. What can the user do with this "fake" revision then? How can I review the merged wikitext then? Should a click on "edit" reveal the merged wikitext of the fake revision? That would be pretty much the same as the current state.
  • Show a preview? This is what happens now. If you suggest to remove the edit window below the preview, I think this is very hard to change, and probably not worth our time.
  • Show a diff? I think this is possible. But it will also show an edit window below, and allow you to save the merged wikitext.

Should we remove the "Save" button? As this is the regular edit interface, I'm not sure this is even possible.

I'm not sure I understand the request. The way I understand it is technically either not really possible, or very expensive to implement.
What do you suggest should "Simulate publish" do?

  • Show a page that looks like it was saved, but wasn't? From all I know about the code this is very hard to implement, as well as not terribly useful. What can the user do with this "fake" revision then? How can I review the merged wikitext then? Should a click on "edit" reveal the merged wikitext of the fake revision? That would be pretty much the same as the current state.
  • Show a preview? This is what happens now. If you suggest to remove the edit window below the preview, I think this is very hard to change, and probably not worth our time.
  • Show a diff? I think this is possible. But it will also show an edit window below, and allow you to save the merged wikitext.

Should we remove the "Save" button? As this is the regular edit interface, I'm not sure this is even possible.

Just as clarification: The "original" SimulateTwoColEditConflict page did indeed just show a rendered preview of the just "edited" page. It seems that this is indeed not working anymore and instead we are redirected to the preview of the "real" EditPage. What could be confusing, because when clicking save there you're really saving the page, with the given content.

I think it should be possible to get our own plain preview page back and also include a diff if wanted ( like we do in the FileImporter. We might want to create a new task for this.

Lea_WMDE closed this task as Resolved.Aug 27 2018, 11:08 AM
Lea_WMDE moved this task from Review to Done on the WMDE-QWERTY-Sprint-2018-08-14 board.

Follow up ticket is here: T202881